Phone & Email Risk Assessment
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "<string>",
"phone_number": "<string>",
"email": "<string>",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment"
payload = {
"country_code": "<string>",
"phone_number": "<string>",
"email": "<string>",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: '<string>',
phone_number: '<string>',
email: '<string>',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country_code' => '<string>',
'phone_number' => '<string>',
'email' => '<string>',
'trustFlowId' => 0,
'trustValidationId' => '{your_trust_validation_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment"
payload := strings.NewReader("{\n \"country_code\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country_code\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country_code\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Phone & Email Risk Assessment processed successfully",
"data": {
"data": {
"phone": {
"basic": {
"phoneNumber": "60123456789",
"country": "MY",
"phoneType": "MOBILE",
"isActive": "YES",
"originalCarrier": "DIGI TELECOMMUNICATIONS SDN BHD",
"currentCarrier": {
"carrierType": "MNO_MAJOR",
"prepaidMarketDominance": "HIGH",
"simRegistrationRegime": "STRICT_BIOMETRIC",
"networkName": "CELCOM AXIATA BERHAD",
"serviceProfileId": "60505",
"mcc": "502",
"mnc": "19"
},
"lifecycle": {
"porting": {
"numberOfPorts": 0
}
},
"risk": {
"isPorted": false,
"isDisposable": false,
"phoneTypeRisk": "Low",
"phoneTrustIndex": 0,
"currentNetworkIsPremium": "True"
}
},
"social": {
"summary": {
"profilesRegistered": 3,
"namesFound": 0,
"photosFound": 0,
"profilesChecked": 7,
"registeredMerchantProfiles": 0,
"communicationBreadth": 2,
"digitalFootprintDiversity": 4,
"digitalSophisticationIndex": 4,
"engagementDepthIndex": 2,
"whatsappProfileCompleteness": "Basic",
"subscriptionAffordabilityIndex": 0,
"totalFreePlatforms": 3,
"totalFullPaidPlatforms": 0,
"totalPartialPaidPlatforms": 0,
"overall": {
"global": {
"count": 3,
"ratio": 0.3889
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 3,
"ratio": 0.3056
}
},
"socialCommercialRatio": 2
},
"categories": {
"ECOMMERCE": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"amazon"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"EMAIL_PROVIDER": {
"global": {
"count": 0,
"ratio": 0
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"MESSAGING": {
"global": {
"count": 1,
"ratio": 1,
"registered": [
"whatsapp"
],
"profileDetails": {
"whatsapp": {
"businessAccount": false
}
}
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 0.5
}
},
"PROFESSIONAL": {
"global": {
"count": 1,
"ratio": 1,
"registered": [
"microsoft"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 1
}
},
"SOCIAL_MEDIA": {
"global": {
"count": 1,
"ratio": 0.3333,
"registered": [
"instagram"
],
"notRegistered": [
"facebook",
"twitter"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 0.3333
}
},
"MERCHANT": {
"global": {
"notRegistered": [
"amazonMerchant"
]
}
}
}
}
},
"email": {
"basic": {
"deliverable": true,
"address": "jane.doe@gmail.com",
"domain": {
"classification": "valid",
"providerType": "free_webmail",
"name": "gmail.com",
"tld": ".com",
"acceptAll": false,
"companyName": "Google LLC",
"registrarName": "MarkMonitor; Inc.",
"createdAt": "1995-08-13T00:00:00Z",
"updatedAt": "2025-07-11T00:00:00Z",
"expiresAt": "2026-08-12T00:00:00Z",
"type": "PUBLIC_FREE",
"websiteExists": true,
"domainAgeDays": 11299,
"emailDomainLength": 9,
"emailDomainContainsNumericChars": false,
"emailDomainHyphenCount": 0,
"emailIsCustomDomain": false,
"emailIsFreeDomain": true,
"emailIsTempDomain": false,
"emailIsSubdomain": false,
"emailSubdomainDepth": 0,
"emailIsReputedRegistrar": true,
"emailDmarcConfigured": true,
"emailSpfConfigured": true,
"emailHasValidMxRecord": true,
"emailDkimEnabled": false,
"emailIsRiskyTld": false,
"emailIsLocalTld": false,
"emailIsRareTld": false,
"abnormalTldFormat": false
},
"breach": {
"isBreached": true,
"noOfBreaches": 6,
"firstBreach": "2012-12-17T00:00:00Z",
"lastBreach": "2026-01-09T00:00:00Z",
"breaches": [
{
"platformName": "Heroes of Newerth",
"domainName": "heroesofnewerth.com",
"breachDate": "2012-12-17T00:00:00Z"
},
{
"platformName": "Chegg",
"domainName": "chegg.com",
"breachDate": "2018-04-28T00:00:00Z"
},
{
"platformName": "Cit0day",
"domainName": "cit0day.in",
"breachDate": "2020-11-04T00:00:00Z"
},
{
"platformName": "Combolists Posted to Telegram",
"domainName": "",
"breachDate": "2024-05-28T00:00:00Z"
},
{
"platformName": "Synthient Credential Stuffing Threat Data",
"domainName": "",
"breachDate": "2025-04-11T00:00:00Z"
},
{
"platformName": "Betterment",
"domainName": "betterment.com",
"breachDate": "2026-01-09T00:00:00Z"
}
],
"breachRecencyDays": 192,
"timeSinceFirstBreach": 4963
},
"lifecycle": {
"activeSinceXDays": 4964
},
"risk": {
"isDisposable": false,
"isRecentBreach": false,
"isFrequentBreached": true,
"emailBreachRiskLevel": "Low",
"emailBreachRiskIndex": 0
},
"emailStringAnalysis": {
"length": 12,
"countAlphanumerics": 12,
"countNonAlphanumerics": 0,
"countVowels": 3,
"countConsonants": 9,
"countPlusCharacters": 0,
"countPeriodCharacters": 0,
"countNumbers": 0,
"countUpperCaseCharacters": 0,
"countLowerCaseCharacters": 12,
"vowelRatio": 0.25,
"consonantRatio": 0.75,
"countOfDigitsInSequence": 0,
"emailLooksHuman": 0.13,
"emailTypingPattern": 0.08,
"emailLooksGibberish": 0.91,
"emailIsTyposquatting": false,
"emailPurposeClass": "personal"
}
},
"social": {
"summary": {
"profilesRegistered": 20,
"namesFound": 0,
"photosFound": 1,
"profilesChecked": 46,
"registeredMerchantProfiles": 2,
"registeredGamingProfiles": 0,
"communicationBreadth": 2,
"digitalFootprintDiversity": 9,
"digitalSophisticationIndex": 5,
"engagementDepthIndex": 4,
"subscriptionAffordabilityIndex": 3,
"totalFreePlatforms": 14,
"totalFullPaidPlatforms": 0,
"totalPartialPaidPlatforms": 6,
"overall": {
"global": {
"count": 19,
"ratio": 0.3103
},
"local": {
"count": 1,
"ratio": 0.0357
},
"total": {
"count": 20,
"ratio": 0.2817
}
}
},
"categories": {
"CONSUMER_ELECTRONICS": {
"global": {
"count": 2,
"ratio": 1,
"registered": [
"apple",
"samsung"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 2,
"ratio": 1
}
},
"ECOMMERCE": {
"global": {
"count": 1,
"ratio": 1,
"registered": [
"amazon"
]
},
"local": {
"count": 1,
"ratio": 0.5,
"registered": [
"lazada"
],
"notRegistered": [
"deliveroo"
]
},
"total": {
"count": 2,
"ratio": 0.6667
}
},
"EDUCATION": {
"global": {
"count": 1,
"ratio": 0.2,
"notRegistered": [
"duolingo",
"ted",
"babbel",
"edx"
]
},
"local": {
"count": 0,
"ratio": 0,
"registered": [
"coursera"
]
},
"total": {
"count": 1,
"ratio": 0.2
}
},
"EMAIL_PROVIDER": {
"global": {
"count": 1,
"ratio": 0.5,
"registered": [
"google"
],
"notRegistered": [
"yahoo"
],
"profileDetails": {
"google": {
"photo": "<string>"
}
}
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 0.5
}
},
"ENTERTAINMENT": {
"global": {
"count": 2,
"ratio": 0.4,
"registered": [
"spotify",
"ea"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 2,
"ratio": 0.3333
}
},
"LIFESTYLE": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"komoot",
"bodybuilding"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"MESSAGING": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"kommo"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"PROFESSIONAL": {
"global": {
"count": 6,
"ratio": 0.4,
"registered": [
"github",
"wordpress",
"zoho",
"adobe",
"codecademy",
"trello"
],
"notRegistered": [
"hubspot",
"replit",
"firefox",
"treehouse",
"asana"
]
},
"local": {
"count": 0,
"ratio": 0,
"notRegistered": [
"insightly"
]
},
"total": {
"count": 6,
"ratio": 0.4
}
},
"SOCIAL_MEDIA": {
"global": {
"count": 4,
"ratio": 0.4444,
"registered": [
"instagram",
"pinterest",
"twitter",
"gravatar"
],
"notRegistered": [
"facebook",
"flickr",
"weibo",
"quora",
"myspace"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 4,
"ratio": 0.4444
}
},
"TRAVEL": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"trivago"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"VPN": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"airvpn"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"FINANCIAL": {
"local": {
"notRegistered": [
"zapper"
]
}
},
"MERCHANT": {
"global": {
"registered": [
"zohoMerchant",
"amazonMerchant"
],
"notRegistered": [
"zapierMerchant"
]
}
},
"GAMING": {
"global": {
"notRegistered": [
"chess",
"kahoot"
]
}
}
}
}
}
},
"scores": {
"fraudRisk": {
"score": 276,
"error": "timed out"
}
},
"meta": {
"requestedPackages": [
"PHONE_EMAIL_RISK_ASSESSMENT",
"PHONE_BASIC",
"PHONE_SOCIAL",
"EMAIL_BASIC",
"EMAIL_SOCIAL"
],
"requestedAt": "2026-07-20T04:19:31Z",
"durationMs": 12618,
"referenceId": "<string>"
},
"inputs": {
"cleansed": {
"cleansedPhoneNumber": "+60123456789"
},
"inputEmail": "jane.doe@gmail.com",
"inputCountryCode": "MY",
"inputPhoneNumber": "+60123456789"
},
"errors": []
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "phone_email_risk_assessment",
"metadata": null,
"createdAt": "<string>"
}Alternative Verifications
Phone & Email Risk Assessment
Returns a fraud risk score with nested phone and email intelligence signals.
POST
/
api
/
v3
/
verifications
/
phone-email-risk-assessment
Phone & Email Risk Assessment
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "<string>",
"phone_number": "<string>",
"email": "<string>",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment"
payload = {
"country_code": "<string>",
"phone_number": "<string>",
"email": "<string>",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: '<string>',
phone_number: '<string>',
email: '<string>',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country_code' => '<string>',
'phone_number' => '<string>',
'email' => '<string>',
'trustFlowId' => 0,
'trustValidationId' => '{your_trust_validation_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment"
payload := strings.NewReader("{\n \"country_code\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country_code\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/phone-email-risk-assessment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country_code\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Phone & Email Risk Assessment processed successfully",
"data": {
"data": {
"phone": {
"basic": {
"phoneNumber": "60123456789",
"country": "MY",
"phoneType": "MOBILE",
"isActive": "YES",
"originalCarrier": "DIGI TELECOMMUNICATIONS SDN BHD",
"currentCarrier": {
"carrierType": "MNO_MAJOR",
"prepaidMarketDominance": "HIGH",
"simRegistrationRegime": "STRICT_BIOMETRIC",
"networkName": "CELCOM AXIATA BERHAD",
"serviceProfileId": "60505",
"mcc": "502",
"mnc": "19"
},
"lifecycle": {
"porting": {
"numberOfPorts": 0
}
},
"risk": {
"isPorted": false,
"isDisposable": false,
"phoneTypeRisk": "Low",
"phoneTrustIndex": 0,
"currentNetworkIsPremium": "True"
}
},
"social": {
"summary": {
"profilesRegistered": 3,
"namesFound": 0,
"photosFound": 0,
"profilesChecked": 7,
"registeredMerchantProfiles": 0,
"communicationBreadth": 2,
"digitalFootprintDiversity": 4,
"digitalSophisticationIndex": 4,
"engagementDepthIndex": 2,
"whatsappProfileCompleteness": "Basic",
"subscriptionAffordabilityIndex": 0,
"totalFreePlatforms": 3,
"totalFullPaidPlatforms": 0,
"totalPartialPaidPlatforms": 0,
"overall": {
"global": {
"count": 3,
"ratio": 0.3889
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 3,
"ratio": 0.3056
}
},
"socialCommercialRatio": 2
},
"categories": {
"ECOMMERCE": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"amazon"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"EMAIL_PROVIDER": {
"global": {
"count": 0,
"ratio": 0
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"MESSAGING": {
"global": {
"count": 1,
"ratio": 1,
"registered": [
"whatsapp"
],
"profileDetails": {
"whatsapp": {
"businessAccount": false
}
}
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 0.5
}
},
"PROFESSIONAL": {
"global": {
"count": 1,
"ratio": 1,
"registered": [
"microsoft"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 1
}
},
"SOCIAL_MEDIA": {
"global": {
"count": 1,
"ratio": 0.3333,
"registered": [
"instagram"
],
"notRegistered": [
"facebook",
"twitter"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 0.3333
}
},
"MERCHANT": {
"global": {
"notRegistered": [
"amazonMerchant"
]
}
}
}
}
},
"email": {
"basic": {
"deliverable": true,
"address": "jane.doe@gmail.com",
"domain": {
"classification": "valid",
"providerType": "free_webmail",
"name": "gmail.com",
"tld": ".com",
"acceptAll": false,
"companyName": "Google LLC",
"registrarName": "MarkMonitor; Inc.",
"createdAt": "1995-08-13T00:00:00Z",
"updatedAt": "2025-07-11T00:00:00Z",
"expiresAt": "2026-08-12T00:00:00Z",
"type": "PUBLIC_FREE",
"websiteExists": true,
"domainAgeDays": 11299,
"emailDomainLength": 9,
"emailDomainContainsNumericChars": false,
"emailDomainHyphenCount": 0,
"emailIsCustomDomain": false,
"emailIsFreeDomain": true,
"emailIsTempDomain": false,
"emailIsSubdomain": false,
"emailSubdomainDepth": 0,
"emailIsReputedRegistrar": true,
"emailDmarcConfigured": true,
"emailSpfConfigured": true,
"emailHasValidMxRecord": true,
"emailDkimEnabled": false,
"emailIsRiskyTld": false,
"emailIsLocalTld": false,
"emailIsRareTld": false,
"abnormalTldFormat": false
},
"breach": {
"isBreached": true,
"noOfBreaches": 6,
"firstBreach": "2012-12-17T00:00:00Z",
"lastBreach": "2026-01-09T00:00:00Z",
"breaches": [
{
"platformName": "Heroes of Newerth",
"domainName": "heroesofnewerth.com",
"breachDate": "2012-12-17T00:00:00Z"
},
{
"platformName": "Chegg",
"domainName": "chegg.com",
"breachDate": "2018-04-28T00:00:00Z"
},
{
"platformName": "Cit0day",
"domainName": "cit0day.in",
"breachDate": "2020-11-04T00:00:00Z"
},
{
"platformName": "Combolists Posted to Telegram",
"domainName": "",
"breachDate": "2024-05-28T00:00:00Z"
},
{
"platformName": "Synthient Credential Stuffing Threat Data",
"domainName": "",
"breachDate": "2025-04-11T00:00:00Z"
},
{
"platformName": "Betterment",
"domainName": "betterment.com",
"breachDate": "2026-01-09T00:00:00Z"
}
],
"breachRecencyDays": 192,
"timeSinceFirstBreach": 4963
},
"lifecycle": {
"activeSinceXDays": 4964
},
"risk": {
"isDisposable": false,
"isRecentBreach": false,
"isFrequentBreached": true,
"emailBreachRiskLevel": "Low",
"emailBreachRiskIndex": 0
},
"emailStringAnalysis": {
"length": 12,
"countAlphanumerics": 12,
"countNonAlphanumerics": 0,
"countVowels": 3,
"countConsonants": 9,
"countPlusCharacters": 0,
"countPeriodCharacters": 0,
"countNumbers": 0,
"countUpperCaseCharacters": 0,
"countLowerCaseCharacters": 12,
"vowelRatio": 0.25,
"consonantRatio": 0.75,
"countOfDigitsInSequence": 0,
"emailLooksHuman": 0.13,
"emailTypingPattern": 0.08,
"emailLooksGibberish": 0.91,
"emailIsTyposquatting": false,
"emailPurposeClass": "personal"
}
},
"social": {
"summary": {
"profilesRegistered": 20,
"namesFound": 0,
"photosFound": 1,
"profilesChecked": 46,
"registeredMerchantProfiles": 2,
"registeredGamingProfiles": 0,
"communicationBreadth": 2,
"digitalFootprintDiversity": 9,
"digitalSophisticationIndex": 5,
"engagementDepthIndex": 4,
"subscriptionAffordabilityIndex": 3,
"totalFreePlatforms": 14,
"totalFullPaidPlatforms": 0,
"totalPartialPaidPlatforms": 6,
"overall": {
"global": {
"count": 19,
"ratio": 0.3103
},
"local": {
"count": 1,
"ratio": 0.0357
},
"total": {
"count": 20,
"ratio": 0.2817
}
}
},
"categories": {
"CONSUMER_ELECTRONICS": {
"global": {
"count": 2,
"ratio": 1,
"registered": [
"apple",
"samsung"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 2,
"ratio": 1
}
},
"ECOMMERCE": {
"global": {
"count": 1,
"ratio": 1,
"registered": [
"amazon"
]
},
"local": {
"count": 1,
"ratio": 0.5,
"registered": [
"lazada"
],
"notRegistered": [
"deliveroo"
]
},
"total": {
"count": 2,
"ratio": 0.6667
}
},
"EDUCATION": {
"global": {
"count": 1,
"ratio": 0.2,
"notRegistered": [
"duolingo",
"ted",
"babbel",
"edx"
]
},
"local": {
"count": 0,
"ratio": 0,
"registered": [
"coursera"
]
},
"total": {
"count": 1,
"ratio": 0.2
}
},
"EMAIL_PROVIDER": {
"global": {
"count": 1,
"ratio": 0.5,
"registered": [
"google"
],
"notRegistered": [
"yahoo"
],
"profileDetails": {
"google": {
"photo": "<string>"
}
}
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 1,
"ratio": 0.5
}
},
"ENTERTAINMENT": {
"global": {
"count": 2,
"ratio": 0.4,
"registered": [
"spotify",
"ea"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 2,
"ratio": 0.3333
}
},
"LIFESTYLE": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"komoot",
"bodybuilding"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"MESSAGING": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"kommo"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"PROFESSIONAL": {
"global": {
"count": 6,
"ratio": 0.4,
"registered": [
"github",
"wordpress",
"zoho",
"adobe",
"codecademy",
"trello"
],
"notRegistered": [
"hubspot",
"replit",
"firefox",
"treehouse",
"asana"
]
},
"local": {
"count": 0,
"ratio": 0,
"notRegistered": [
"insightly"
]
},
"total": {
"count": 6,
"ratio": 0.4
}
},
"SOCIAL_MEDIA": {
"global": {
"count": 4,
"ratio": 0.4444,
"registered": [
"instagram",
"pinterest",
"twitter",
"gravatar"
],
"notRegistered": [
"facebook",
"flickr",
"weibo",
"quora",
"myspace"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 4,
"ratio": 0.4444
}
},
"TRAVEL": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"trivago"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"VPN": {
"global": {
"count": 0,
"ratio": 0,
"notRegistered": [
"airvpn"
]
},
"local": {
"count": 0,
"ratio": 0
},
"total": {
"count": 0,
"ratio": 0
}
},
"FINANCIAL": {
"local": {
"notRegistered": [
"zapper"
]
}
},
"MERCHANT": {
"global": {
"registered": [
"zohoMerchant",
"amazonMerchant"
],
"notRegistered": [
"zapierMerchant"
]
}
},
"GAMING": {
"global": {
"notRegistered": [
"chess",
"kahoot"
]
}
}
}
}
}
},
"scores": {
"fraudRisk": {
"score": 276,
"error": "timed out"
}
},
"meta": {
"requestedPackages": [
"PHONE_EMAIL_RISK_ASSESSMENT",
"PHONE_BASIC",
"PHONE_SOCIAL",
"EMAIL_BASIC",
"EMAIL_SOCIAL"
],
"requestedAt": "2026-07-20T04:19:31Z",
"durationMs": 12618,
"referenceId": "<string>"
},
"inputs": {
"cleansed": {
"cleansedPhoneNumber": "+60123456789"
},
"inputEmail": "jane.doe@gmail.com",
"inputCountryCode": "MY",
"inputPhoneNumber": "+60123456789"
},
"errors": []
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "phone_email_risk_assessment",
"metadata": null,
"createdAt": "<string>"
}Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
Country calling code for the phone number. Example: +60.
Phone number without the country code prefix.
Email address to assess.
Trust flow ID used when you created the trust validation.
Trust validation ID returned from create trust validation.
Response
200 - application/json
Phone & Email Risk Assessment verification processed successfully
Phone & Email Risk Assessment result including fraud risk, nested insight payloads, metadata, and normalized inputs.
Show child attributes
Show child attributes
Timestamp when the verification was created.

